Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.parser
Class ASTWhileStatement

    java.lang.Object
      |
      +--org.apache.commons.jexl.parser.SimpleNode
            |
            +--org.apache.commons.jexl.parser.ASTWhileStatement

All Implemented Interfaces:
  Node

public class ASTWhileStatement
extends SimpleNode

A while loop. Syntax: while ( expression ) statement

Since:
  1.1

Fields inherited from class org.apache.commons.jexl.parser.SimpleNode
`children, id, parent, parser`

Constructor Summary
`ASTWhileStatement(int id)` Create the node given an id.
`ASTWhileStatement(Parser p, int id)` Create a node with the given parser and id.

Method Summary
`Object` | `jjtAccept(ParserVisitor visitor, Object data)` {@inheritDoc}
`Object` | `value(JexlContext jc)` {@inheritDoc}

Methods inherited from class org.apache.commons.jexl.parser.SimpleNode
`childrenAccept, dump, execute, interpret, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setValue, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTWhileStatement

    public ASTWhileStatement(int id)

  Create the node given an id.
  Parameters:
    `id` - node id.

### ASTWhileStatement

    public ASTWhileStatement(Parser p,
                             int id)

  Create a node with the given parser and id.
  Parameters:
    `p` - a parser.
    `id` - node id.

Method Detail

### jjtAccept

    public Object jjtAccept(ParserVisitor visitor,
                            Object data)

  {@inheritDoc}
  Overrides:
    `jjtAccept` in class `SimpleNode`
  Following copied from class: `org.apache.commons.jexl.parser.SimpleNode`
  Parameters:
    `visitor` - a `ParserVisitor`.
    `data` - data to be passed along to the visitor.
  Returns:
    the value from visiting.
  See Also:
    `ParserVisitor.visit(org.apache.commons.jexl.parser.SimpleNode, java.lang.Object)`

### value

    public Object value(JexlContext jc)
                 throws Exception

  {@inheritDoc}
  Overrides:
    `value` in class `SimpleNode`
  Following copied from class: `org.apache.commons.jexl.parser.SimpleNode`
  Parameters:
    `context` - the context to retrieve values from.
  Returns:
    the value of the node.
  Throws:
    `Exception` - when evaluating the operands fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 The Apache Software Foundation. All Rights Reserved.